<!--
IGAC proyecto SNC

@author david.cifuentes 
@version 1.0
@description Formulario de ejecución - Gestionar ficha matriz - Modificar número predial para trámites de desenglobe por etapas que tienen predios de migración
@cu CU-NP-CO-235
-->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="modificarNumeroPredialForm">

    <p:messages id="msgModNumPredial" showDetail="false" globalOnly="false" />

    <h:panelGrid rendered="#{(!managedBeanParam.tramite.englobeVirtual and managedBeanParam.tramite.tipoInscripcionPH ) or 
                             (managedBeanParam.tramite.englobeVirtual and managedBeanParam.predioCondProp9)}" width="100%">
        <p:fieldset>
            <legend> <h:outputLabel value="Propiedad Horizontal"
                                    styleClass="outputLabelStyle" /> </legend>

            <h:panelGrid id="seleccionadosModificarNumeroPredialPanel" columns="2" cellspacing="3"
                         cellpadding="3">
                <h:panelGrid id="seleccionadosModificarNumeroPredial" columns="2">
                    <h:outputLabel value="Cantidad de predios seleccionados: " styleClass="outputLabelStyle" />
                    <h:inputText value="#{fn:length(managedBeanParam.fichaMatrizPrediosSeleccionados)}" id="cantidadModificarNumeroPredial"
                                 disabled="true" label="Cantidad de predios seleccionados" style="width:30px;height:14px;" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid columns="3" cellspacing="3" cellpadding="3"
                         id="modificarNumeroPredialPanel">

                <h:panelGrid columns="2">
                    <h:outputLabel value="Torres: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="torresModificarNumeroPredial"
                                     value="#{managedBeanParam.torreSeleccionada}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListTorres}" />
                        <p:ajax
                            update="pisoModificarNumeroPredialPanel,pisoModificarNumeroPredialPanelEV
                            ,sotanoModificarNumeroPredialPanel, ejeVialHaciaAbajoModNumPredialPanel, 
                            unidadModificarNumeroPredialPanel, modificarNumeroPredialButtons, msgModNumPredial"
                            listener="#{managedBeanParam.cargarPisoOSotano}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="pisoModificarNumeroPredialPanel" columns="2"
                             rendered="#{managedBeanParam.ejeVialHaciaAbajo eq 'NO'
                                         and !managedBeanParam.tramite.englobeVirtual}">
                    <h:outputLabel value="Pisos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="pisoModificarNumeroPRedial"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListPisos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="pisoModificarNumeroPredialPanelEV" columns="2"
                             rendered="#{managedBeanParam.ejeVialHaciaAbajo eq 'NO' 
                                         and managedBeanParam.tramite.englobeVirtual
                                         and managedBeanParam.activaPisoSotano}">
                    <h:outputLabel value="Pisos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="pisoModificarNumeroPRedialEV"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListPisos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="sotanoModificarNumeroPredialPanel" columns="2"
                             rendered="#{managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI'}">
                    <h:outputLabel value="Sotanos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="sotanoModificarNumeroPredial"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListSotanos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="unidadModificarNumeroPredialPanel" columns="2">
                    <h:outputLabel value="Unidad: " styleClass="outputLabelStyle" />
                    <h:inputText value="#{fn:length(managedBeanParam.fichaMatrizPrediosSeleccionados)}" id="unidadModificarNumeroPredial"
                                 disabled="true" label="Número de unidades" style="width:30px;height:14px;" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid id="ejeVialHaciaAbajoModNumPredialPanel" columns="2" cellspacing="3"
                         cellpadding="3">
                <h:outputLabel value="¿Nivel del eje víal hacia abajo?"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="ejeVialHaciaAbajoModNumPredial"
                                 label="¿Nivel del eje víal hacia abajo? " process="@form"
                                 value="#{managedBeanParam.ejeVialHaciaAbajo}">
                    <f:selectItems value="#{general.siNo}" />
                    <p:ajax listener="#{managedBeanParam.validarAsignacionSotanos}"
                            update="pisoModificarNumeroPredialPanel, sotanoModificarNumeroPredialPanel, modificarNumeroPredialButtons, msgModNumPredial, modificarNumeroPredialForm" />
                </h:selectOneMenu>
            </h:panelGrid>

        </p:fieldset>

        <p:fieldset>
            <h:panelGrid>
                <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
                <h:outputText
                    value="Recuerde que la modificación del número predial debe realizarse en orden, así como también el borrado de los números modificados."
                    styleClass="noteTextStyle" />
            </h:panelGrid>
        </p:fieldset>
    </h:panelGrid>

    <h:panelGrid rendered="#{managedBeanParam.tramite.englobeVirtual and managedBeanParam.predioCondProp8}" width="100%">
        <h:panelGrid id="seleccionadosModificarNumeroPredialPanelCond" columns="2" cellspacing="3"
                     cellpadding="3">
            <h:panelGrid id="seleccionadosModificarNumeroPredialCond" columns="2">
                <h:outputLabel value="Cantidad de predios seleccionados: " styleClass="outputLabelStyle" />
                <h:inputText value="#{fn:length(managedBeanParam.fichaMatrizPrediosSeleccionados)}" id="cantidadModificarNumeroPredialCond"
                             disabled="true" label="Cantidad de predios seleccionados" style="width:30px;height:14px;" />
            </h:panelGrid>
        </h:panelGrid>

        <p:fieldset>

            <legend> <h:outputLabel value="Informaciòn de Condominio"
                                    styleClass="outputLabelStyle" /> </legend>

            <h:panelGrid columns="2"
                         id="modificarNumeroPredialCondPanel">

                <p:spacer width="0" height="10"/>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Nº Unidad Inicial: " styleClass="outputLabelStyle" />

                    <h:inputText id="numeroUnidadInicialCondPanel"
                                 value="#{managedBeanParam.unidadInicialSeleccionada}"
                                 onkeydown="validarSiNumero(this, this.value);"
                                 onkeyup="validarSiNumero(this, this.value);"
                                 size="4" maxlength="4" required="true">
                        <f:convertNumber type="number" />    
                    </h:inputText>
                </h:panelGrid>

                <p:spacer width="0" height="10"/>

                <h:panelGrid id="numeroUnidadFinalCondPanel" columns="2">
                    <h:outputLabel value="Nº Unidad Final: " styleClass="outputLabelStyle" />
                    <h:inputText value="#{managedBeanParam.unidadFinalSeleccionada}" id="unidadFinalCond"
                                 disabled="true" label="Número de unidades" style="width:30px;height:14px;" />
                </h:panelGrid>
            </h:panelGrid>

        </p:fieldset>
    </h:panelGrid>

    <h:panelGrid columns="3" cellpadding="3" cellspacing="3"
                 id="modificarNumeroPredialButtons">

        <p:commandButton value="Aceptar" id="btnAceptaModNumPredial" icon="ui-icon-disk"
                         process="@this, modificarNumeroPredialForm" rendered="#{!managedBeanParam.tramite.englobeVirtual}"
                         disabled="#{fichaMatriz.torreCargadaBool or (!managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI')}"
                         action="#{managedBeanParam.modificarNumerosPrediales}"
                         update=":tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, :datosTorreForm:datosTorrePanelGrid, msgModNumPredial"
                         oncomplete="modificarNumeroPredialWV.hide();">
        </p:commandButton>

        <p:commandButton value="Calcular" id="btnCalcular" icon="ui-icon-calculator"
                         rendered="#{managedBeanParam.tramite.englobeVirtual and  managedBeanParam.predioCondProp8}"
                         action="#{managedBeanParam.cargarUnidadFinalesCond}"
                         update="numeroUnidadFinalCondPanel, btnAceptaModNumPredialEV,msgModNumPredial">
        </p:commandButton>

        <p:commandButton value="Aceptar" id="btnAceptaModNumPredialEV" icon="ui-icon-disk"
                         process="@this, modificarNumeroPredialForm" rendered="#{managedBeanParam.tramite.englobeVirtual}"
                         disabled="#{!managedBeanParam.banderaAceptarNumPredial}"
                         action="#{managedBeanParam.modificarNumerosPrediales}"
                         update="modificarNumeroPredialForm:msgModNumPredial,:tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid"
                         oncomplete="handleCompleteSIC(xhr, status,args, modificarNumeroPredialWV, true);">
        </p:commandButton>

        <p:commandButton value="Borrar números" id="btnBorrarModNumPredial" icon="ui-icon-trash"
                         process="@this, modificarNumeroPredialForm"
                         action="#{managedBeanParam.borrarNumerosPrediales}"
                         update=":tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, :datosTorreForm:datosTorrePanelGrid"
                         oncomplete="modificarNumeroPredialWV.hide();">
        </p:commandButton>



    </h:panelGrid>

    <p:spacer height="15" width="400" />
    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton value="Cerrar" icon="ui-icon-close" action="#{managedBeanParam.cerrar}"
                         immediate="true" process="@this" title="Cerrar" label="Cerrar"
                         update=":tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid,
                         :datosTorreForm:datosTorrePanelGrid"
                         onclick="modificarNumeroPredialWV.hide();"/>
        <p:spacer height="0" width="30" />
    </p:outputPanel>
    <p:spacer height="10" width="0" />





</h:form>
